.contact-card {
  $parent: &;

  margin-bottom: map-get($mobile, space-lg);

  @include breakpoint($large) {
    margin-bottom: map-get($desktop, space-lg);
  }

  &:last-child {
    margin-bottom: 0;
  }

  &__main {
    @include breakpoint($medium) {
      display: flex;
    }
  }

  &__image {
    display: block;

    margin: 0 0 map-get($mobile, space-sm) 0;

    @include breakpoint($medium) {
      flex: 0 0 40%;
      margin: 0 map-get($desktop, space-sm) 0 0;
    }

    img {
      border-radius: 8px;
      display: block;
    }
  }

  &__body {
    flex-grow: 1;

    a {
      font-weight: 300;
      transition: all 0.4s;
      border-bottom: 1px solid rgba($link-color, 0);

      &:hover,
      &:focus {
        border-color: #3d3d3d;
      }
    }
  }

  dl {
    &:first-child {
      margin-top: 0;
    }

    &:last-child {
      margin-bottom: 0;
    }
  }

  &__name {
    color: $color-heading;
    margin: 0 !important;
  }

  &__position {
    font-weight: 600;

    &:not(:last-child) {
      margin-bottom: 16px;
    }
  }

  &__description {
    p:last-child {
      margin-bottom: 0.4rem;
    }
  }

  &__name + &__description {
    margin-top: 0.4rem;
  }

  &__position + &__description {
    margin-top: -0.4rem;
  }

  &__email,
  &__tel,
  &__mobile {
    padding: 6px 0 6px 30px;
    position: relative;

    &:before {
      content: "";
      position: absolute;
      width: 20px;
      height: 20px;
      top: 50%;
      left: 0;
      transform: translate(0, -50%);
      background: no-repeat 50% 50%;
      background-size: contain;
    }
  }

  &__email {
    &:before {
      background-image: url("images/icon/icon-email.svg");
    }
  }

  &__tel {
    &:before {
      background-image: url("images/icon/icon-phone.svg");
    }
  }

  &__mobile {
    &:before {
      background-image: url("images/icon/icon-mobile.svg");
    }
  }
}
